openstructure (2.11.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Force boost python version to match the default python version
    (Closes: #1129279)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 05 Aug 2026 15:52:18 +0200

openstructure (2.11.1-3) unstable; urgency=medium

  * Adjust numpy.trapz name change (Closes: #1136313)

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 May 2026 06:27:23 -0400

openstructure (2.11.1-2) unstable; urgency=medium

  * Remove the code searching for Boost system module in CMakeLists.txt
    (Closes: #1129822)

 -- Andrius Merkys <merkys@debian.org>  Fri, 06 Mar 2026 05:17:43 -0500

openstructure (2.11.1-1) unstable; urgency=medium

  * Upload to unstable (Closes: #1110617)

 -- Andrius Merkys <merkys@debian.org>  Wed, 15 Oct 2025 03:32:58 -0400

openstructure (2.11.1-1~exp) experimental; urgency=medium

  * New upstream version 2.11.1

 -- Andrius Merkys <merkys@debian.org>  Fri, 10 Oct 2025 04:46:15 -0400

openstructure (2.10.0-1~exp) experimental; urgency=medium

  * New upstream version 2.10.0

 -- Andrius Merkys <merkys@debian.org>  Fri, 23 May 2025 03:40:10 -0400

openstructure (2.9.3-2) unstable; urgency=medium

  * Give write permission for owner of executables (Closes: #1104289)

 -- Andrius Merkys <merkys@debian.org>  Tue, 29 Apr 2025 04:56:31 -0400

openstructure (2.9.3-1) unstable; urgency=medium

  * New upstream version 2.9.3
  * Drop skip-testMultipleClustalW.patch: not needed anymore.

 -- Andrius Merkys <merkys@debian.org>  Mon, 31 Mar 2025 08:57:45 -0400

openstructure (2.9.2-2) unstable; urgency=medium

  * Skip testMultipleClustalW test (Closes: #1092077)
  * Simplify debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Fri, 07 Mar 2025 07:41:00 -0500

openstructure (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2

 -- Andrius Merkys <merkys@debian.org>  Wed, 26 Feb 2025 04:10:15 -0500

openstructure (2.9.1-1) unstable; urgency=medium

  * New upstream version 2.9.1
  * Exclude unnecessary files from python-dist-packages.patch.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 23 Jan 2025 02:27:10 -0500

openstructure (2.9.0-2) unstable; urgency=medium

  * Require clustalw only on architectures which provide it.
  * Drop skip-testSpearmanCorrel.patch: no longer needed.
  * Increase test tolerance in modules/io/tests/test_io_sequence_profile.cc
    to pass on i386.
  * Skip some cases in test_io_img which fail on i386.

 -- Andrius Merkys <merkys@debian.org>  Thu, 05 Dec 2024 05:58:15 -0500

openstructure (2.9.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Wed, 27 Nov 2024 05:32:34 -0500

openstructure (2.9.0-1~exp2) experimental; urgency=medium

  * Build libost-mol-mm2.9 and libost-mol-mm-dev binary packages on the same
    architectures which support openmm.

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Nov 2024 09:24:54 -0500

openstructure (2.9.0-1~exp1) experimental; urgency=medium

  * Enable parasail on amd64 only, as tests segfault on other architectures.

 -- Andrius Merkys <merkys@debian.org>  Mon, 25 Nov 2024 03:37:26 -0500

openstructure (2.9.0-1~exp) experimental; urgency=medium

  * New upstream version 2.9.0
  * Drop increase-test-tolerance.patch.

 -- Andrius Merkys <merkys@debian.org>  Mon, 18 Nov 2024 02:56:51 -0500

openstructure (2.6.1-1~exp) experimental; urgency=medium

  * New upstream version 2.6.1
  * Update standards version to 4.6.2, no changes needed.
  * Refresh python-dist-packages.patch.

 -- Andrius Merkys <merkys@debian.org>  Fri, 26 Jan 2024 02:42:06 -0500

openstructure (2.6.0~rc-1~exp2) experimental; urgency=medium

  * Drop sip-dev from Build-Depends (Closes: #1060745)
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 15 Jan 2024 04:48:55 -0500

openstructure (2.6.0~rc-1~exp1) experimental; urgency=medium

  * Enable OpenMM support on all architectures where it builds successfully.

 -- Andrius Merkys <merkys@debian.org>  Tue, 05 Dec 2023 03:07:02 -0500

openstructure (2.6.0~rc-1~exp) experimental; urgency=medium

  * New upstream version 2.6.0~rc
  * Adjust debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Wed, 20 Sep 2023 02:32:36 -0400

openstructure (2.5.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Mon, 24 Jul 2023 01:49:41 -0400

openstructure (2.5.0-1~exp) experimental; urgency=medium

  [ Andrius Merkys ]
  * New upstream version 2.5.0
  * Update debian/components.cif.gz.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libost-base2.3, libost-geom2.3:
    Add Multi-Arch: same.

 -- Andrius Merkys <merkys@debian.org>  Wed, 28 Jun 2023 03:46:25 -0400

openstructure (2.3.1-9) unstable; urgency=medium

  * libost-base2.3: Add Breaks: libost-base2.2 for smoother upgrades from
    bullseye. (Closes: #1036639)

 -- Andrius Merkys <merkys@debian.org>  Wed, 24 May 2023 00:56:53 -0400

openstructure (2.3.1-8) unstable; urgency=medium

  * Install shlibs into multiarch locations using debian/rules.
  * Build with OpenMM support only on architectures where it builds.
  * Turn on the optimization.

 -- Andrius Merkys <merkys@debian.org>  Tue, 16 Aug 2022 03:15:29 -0400

openstructure (2.3.1-6) unstable; urgency=medium

  * Backport two upstream commits fixing build and integration with OpenMM.
  * Add Provides and X-Python3-Version for Python module.
  * Add Recommends: libcifpp-data for openstructure package to keep the
    compounds library up-to-date.
  * Add debian/README.Debian describing handling of PDB compound library.

 -- Andrius Merkys <merkys@debian.org>  Tue, 03 May 2022 04:41:27 -0400

openstructure (2.3.1-5) unstable; urgency=medium

  * Adjust permissions of generated compounds library.
  * Enhance postinst output to make clear what it does.

 -- Andrius Merkys <merkys@debian.org>  Wed, 27 Apr 2022 10:56:34 -0400

openstructure (2.3.1-4) unstable; urgency=medium

  * Fix compound library generation.

 -- Andrius Merkys <merkys@debian.org>  Wed, 27 Apr 2022 02:08:06 -0400

openstructure (2.3.1-3) unstable; urgency=medium

  * Provide compound library even without libcifpp-data.

 -- Andrius Merkys <merkys@debian.org>  Tue, 26 Apr 2022 06:50:14 -0400

openstructure (2.3.1-2) unstable; urgency=medium

  * Fixing upgrade failures for openstructure package (Closes: #1004685).
  * Update standards version to 4.6.0, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Tue, 01 Feb 2022 01:26:38 -0500

openstructure (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * Refreshing patches, dropping upstream-integrated ones.
  * Adding missing quotes to debian/libcifpp/openstructure.

 -- Andrius Merkys <merkys@debian.org>  Mon, 31 Jan 2022 01:26:20 -0500

openstructure (2.3.0~rc-1) unstable; urgency=medium

  * New upstream version 2.3.0~rc
  * Adding a trigger to be run by libcifpp to generate compounds.chemlib.
  * Removing upstream-integrated patches from debian/patches/series.
  * Fixing compatibility with OpenMM 7.7 via upstream patch.
  * Disabling increase-test-tolerance.patch for now.
  * Bumping copyright years.

 -- Andrius Merkys <merkys@debian.org>  Wed, 19 Jan 2022 06:42:42 -0500

openstructure (2.2.0-9) unstable; urgency=medium

  * Fixing incompatibility with matplotlib 3.5 (Closes: #999514)

 -- Andrius Merkys <merkys@debian.org>  Fri, 31 Dec 2021 06:57:26 -0500

openstructure (2.2.0-8) unstable; urgency=medium

  * Replacing hardcoded multiarch path with ${DEB_HOST_MULTIARCH} in
    debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Mon, 06 Sep 2021 10:28:49 -0400

openstructure (2.2.0-7) unstable; urgency=medium

  * Building with openmm, packaging libost_mol_mm.so.

 -- Andrius Merkys <merkys@debian.org>  Sun, 29 Aug 2021 02:32:17 -0400

openstructure (2.2.0-6) unstable; urgency=medium

  * Adding upstream-provided patch to fix tests on arm64.

 -- Andrius Merkys <merkys@debian.org>  Wed, 10 Feb 2021 04:33:33 -0500

openstructure (2.2.0-5) unstable; urgency=medium

  * Applying upstream patches to fix the compatibility with dssp >= 4.
  * Bringing back tests with dssp.

 -- Andrius Merkys <merkys@debian.org>  Wed, 06 Jan 2021 09:30:24 -0500

openstructure (2.2.0-4) unstable; urgency=medium

  * Adding upstream-provided patch to increase test tolerances in order to
    fix builds on arm64 and other architectures.

 -- Andrius Merkys <merkys@debian.org>  Tue, 05 Jan 2021 07:51:29 -0500

openstructure (2.2.0-3) unstable; urgency=medium

  * Skipping tests for dssp, as dssp >= 4 is incompatible with current
    openstructure code.

 -- Andrius Merkys <merkys@debian.org>  Mon, 21 Dec 2020 01:08:59 -0500

openstructure (2.2.0-2) unstable; urgency=medium

  * Installing files for libdevel packages.
  * Dropping test dependency on dssp for now due to test failures.

 -- Andrius Merkys <merkys@debian.org>  Wed, 09 Dec 2020 02:00:44 -0500

openstructure (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Refreshing patches.

 -- Andrius Merkys <merkys@debian.org>  Mon, 23 Nov 2020 01:35:58 -0500

openstructure (2.2.0~rc-1) unstable; urgency=medium

  * New upstream version 2.2.0~rc (Closes: #972771).
  * Refreshing and describing patches.
  * Bumping Standards-Version (no changes).
  * Bumping debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Thu, 19 Nov 2020 06:37:26 -0500

openstructure (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Refreshing patches.
  * Accommodating soname change.

 -- Andrius Merkys <merkys@debian.org>  Fri, 18 Sep 2020 04:12:51 -0400

openstructure (2.0.0-3) unstable; urgency=medium

  * Installing gosty and ost_config.
  * Cleaning leftover files.
  * Adjusting paths in Debian installation (Closes: #965959).

 -- Andrius Merkys <merkys@debian.org>  Fri, 31 Jul 2020 07:17:40 -0400

openstructure (2.0.0-2) unstable; urgency=medium

  * Adding explicit build-dependency on libglu1-mesa-dev.
  * Avoiding running tests in .pc directory.

 -- Andrius Merkys <merkys@debian.org>  Thu, 25 Jun 2020 01:13:25 -0400

openstructure (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #953414)

 -- Andrius Merkys <merkys@debian.org>  Wed, 25 Mar 2020 07:49:04 -0400
